<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.spire.mapper.SpireBigBaseMapper">

    <resultMap type="com.tofly.spire.entity.SpireBigBase" id="SpireBigBaseMap">
        <result property="id" column="ID" jdbcType="INTEGER"/>
        <result property="accFlow" column="ACC_FLOW" jdbcType="VARCHAR"/>
        <result property="decAccFlow" column="DEC_ACC_FLOW" jdbcType="VARCHAR"/>
        <result property="flow" column="FLOW" jdbcType="VARCHAR"/>
        <result property="inTemp" column="IN_TEMP" jdbcType="VARCHAR"/>
        <result property="latitude" column="LATITUDE" jdbcType="VARCHAR"/>
        <result property="longitude" column="LONGITUDE" jdbcType="VARCHAR"/>
        <result property="meterName" column="METER_NAME" jdbcType="VARCHAR"/>
        <result property="meterStatus" column="METER_STATUS" jdbcType="VARCHAR"/>
        <result property="meterType" column="METER_TYPE" jdbcType="VARCHAR"/>
        <result property="pressure" column="PRESSURE" jdbcType="VARCHAR"/>
        <result property="readTime" column="READ_TIME" jdbcType="TIMESTAMP"/>
        <result property="sn" column="SN" jdbcType="VARCHAR"/>
        <result property="temp" column="TEMP" jdbcType="VARCHAR"/>
        <result property="uploadTime" column="UPLOAD_TIME" jdbcType="TIMESTAMP"/>
        <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
        <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>

    </resultMap>


</mapper>

